<?php

/**
 * ReviewTranslation form base class.
 *
 * @method ReviewTranslation getObject() Returns the current form's model object
 *
 * @package    sf
 * @subpackage form
 * @author     Atma
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseReviewTranslationForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'        => new sfWidgetFormInputHidden(array(), array()),
      'available' => new sfWidgetFormInputCheckbox(array(), array()),
      'body'      => new sfWidgetFormInputText(array(), array("size" => 65)),
      'lang'      => new sfWidgetFormInputHidden(array(), array()),
    ));

    $this->setValidators(array(
      'id'        => new sfValidatorDoctrineChoice(array('model' => $this->getModelName(), 'column' => 'id', 'required' => false)),
      'available' => new sfValidatorBoolean(array('required' => false)),
      'body'      => new sfValidatorPass(array('required' => false)),
      'lang'      => new sfValidatorDoctrineChoice(array('model' => $this->getModelName(), 'column' => 'lang', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('review_translation[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'ReviewTranslation';
  }

}
